<html>
<head>
<title>Ogre::SceneManager::LightInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SceneManager::LightInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SceneManager::LightInfo" -->
<p>Cached light information, used to tracking light's changes.  
 <a href="structOgre_1_1SceneManager_1_1LightInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>&gt;</code></p>

<p><a href="structOgre_1_1SceneManager_1_1LightInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a5799c4e34448b86d884f004ea7510600">operator==</a> (const <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a5f521405ca7af2b93ada5847d9a65ccc">operator!=</a> (const <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a> &amp;rhs) const </td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Light.html">Light</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a611e5d0f998b014aae08bfcf8339cc19">light</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a2fb01ef522788da9b93d3b3ba06e17b3">type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#acb21fec5c364a2cd62075534b0768678">range</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a8cf0e55f051b695521b4056723e91539">position</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a7af8db5b3cf96311aa03481b03857ae6">lightMask</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Cached light information, used to tracking light's changes. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00508">508</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a5f521405ca7af2b93ada5847d9a65ccc"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::operator!=" ref="a5f521405ca7af2b93ada5847d9a65ccc" args="(const LightInfo &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::SceneManager::LightInfo::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00522">522</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5799c4e34448b86d884f004ea7510600"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::operator==" ref="a5799c4e34448b86d884f004ea7510600" args="(const LightInfo &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::SceneManager::LightInfo::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00516">516</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

<p>References <a class="el" href="OgreSceneManager_8h_source.html#l00510">light</a>, <a class="el" href="OgreSceneManager_8h_source.html#l00514">lightMask</a>, <a class="el" href="OgreSceneManager_8h_source.html#l00513">position</a>, <a class="el" href="OgreSceneManager_8h_source.html#l00512">range</a>, and <a class="el" href="OgreSceneManager_8h_source.html#l00511">type</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a611e5d0f998b014aae08bfcf8339cc19"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::light" ref="a611e5d0f998b014aae08bfcf8339cc19" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Light.html">Light</a>* <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a611e5d0f998b014aae08bfcf8339cc19">Ogre::SceneManager::LightInfo::light</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00510">510</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h_source.html#l00516">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a7af8db5b3cf96311aa03481b03857ae6"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::lightMask" ref="a7af8db5b3cf96311aa03481b03857ae6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a7af8db5b3cf96311aa03481b03857ae6">Ogre::SceneManager::LightInfo::lightMask</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00514">514</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h_source.html#l00516">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a8cf0e55f051b695521b4056723e91539"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::position" ref="a8cf0e55f051b695521b4056723e91539" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a8cf0e55f051b695521b4056723e91539">Ogre::SceneManager::LightInfo::position</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00513">513</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h_source.html#l00516">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="acb21fec5c364a2cd62075534b0768678"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::range" ref="acb21fec5c364a2cd62075534b0768678" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#acb21fec5c364a2cd62075534b0768678">Ogre::SceneManager::LightInfo::range</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00512">512</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h_source.html#l00516">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a2fb01ef522788da9b93d3b3ba06e17b3"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::type" ref="a2fb01ef522788da9b93d3b3ba06e17b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#a2fb01ef522788da9b93d3b3ba06e17b3">Ogre::SceneManager::LightInfo::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00511">511</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h_source.html#l00516">operator==()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
